Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step
Class RowAdapter

    java.lang.Object
      org.pentaho.di.trans.step.RowAdapter

All Implemented Interfaces:
  RowListener

    public class RowAdapter

extends Object
implements RowListener

Constructor Summary
`RowAdapter()`

Method Summary
`void` | `errorRowWrittenEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] row)` This method is called when the error handling of a row is writing a row to the error stream.
`void` | `rowReadEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] row)` This method is called when a row is read from another step
`void` | `rowWrittenEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] row)` This method is called when a row is written to another step (even if there is no next step)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowAdapter

    public RowAdapter()

Method Detail

### errorRowWrittenEvent

    public void errorRowWrittenEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                                     Object[] row)
                              throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `RowListener`
  This method is called when the error handling of a row is writing a row to the error stream.

  Specified by:
    `errorRowWrittenEvent` in interface `RowListener`
  Parameters:
    `rowMeta` - the metadata of the row
    `row` - the data of the row
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - an exception that can be thrown to hard stop the step

### rowReadEvent

    public void rowReadEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                             Object[] row)
                      throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `RowListener`
  This method is called when a row is read from another step

  Specified by:
    `rowReadEvent` in interface `RowListener`
  Parameters:
    `rowMeta` - the metadata of the row
    `row` - the data of the row
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - an exception that can be thrown to hard stop the step

### rowWrittenEvent

    public void rowWrittenEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                                Object[] row)
                         throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `RowListener`
  This method is called when a row is written to another step (even if there is no next step)

  Specified by:
    `rowWrittenEvent` in interface `RowListener`
  Parameters:
    `rowMeta` - the metadata of the row
    `row` - the data of the row
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - an exception that can be thrown to hard stop the step

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD